# Record TCefCommandLine

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefCommandLine = record`

## Description

Structure used to create and/or parse command line arguments. Arguments with "–", "-" and, on Windows, "/" prefixes are considered switches. Switches will always precede any arguments without switch prefixes. Switches can optionally have a value specified using the "=" delimiter (e.g. "-switch=value"). An argument of "–" will terminate switch parsing with all subsequent tokens, regardless of prefix, being interpreted as non-switch arguments. Switch names should be lowercase ASCII and will be converted to such if necessary. Switch values will retain the original case and UTF8 encoding. This structure can be used before cef_initialize() is called.

NOTE: This struct is allocated DLL-side.

Implemented by ICefCommandLine.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_command_line_capi.h">CEF source file: /include/capi/cef_command_line_capi.h (cef_command_line_t))

## Overview

### Fields

| `base: TCefBaseRefCounted;`
| `is_valid: function(self: PCefCommandLine): Integer; stdcall;`
| `is_read_only: function(self: PCefCommandLine): Integer; stdcall;`
| `copy: function(self: PCefCommandLine): PCefCommandLine; stdcall;`
| `init_from_argv: procedure(self: PCefCommandLine; argc: Integer; const argv: PPAnsiChar); stdcall;`
| `init_from_string: procedure(self: PCefCommandLine; const command_line: PCefString); stdcall;`
| `reset: procedure(self: PCefCommandLine); stdcall;`
| `get_argv: procedure(self: PCefCommandLine; argv: TCefStringList); stdcall;`
| `get_command_line_string: function(self: PCefCommandLine): PCefStringUserFree; stdcall;`
| `get_program: function(self: PCefCommandLine): PCefStringUserFree; stdcall;`
| `set_program: procedure(self: PCefCommandLine; const program_: PCefString); stdcall;`
| `has_switches: function(self: PCefCommandLine): Integer; stdcall;`
| `has_switch: function(self: PCefCommandLine; const name: PCefString): Integer; stdcall;`
| `get_switch_value: function(self: PCefCommandLine; const name: PCefString): PCefStringUserFree; stdcall;`
| `get_switches: procedure(self: PCefCommandLine; switches: TCefStringMap); stdcall;`
| `append_switch: procedure(self: PCefCommandLine; const name: PCefString); stdcall;`
| `append_switch_with_value: procedure(self: PCefCommandLine; const name, value: PCefString); stdcall;`
| `has_arguments: function(self: PCefCommandLine): Integer; stdcall;`
| `get_arguments: procedure(self: PCefCommandLine; arguments: TCefStringList); stdcall;`
| `append_argument: procedure(self: PCefCommandLine; const argument: PCefString); stdcall;`
| `prepend_wrapper: procedure(self: PCefCommandLine; const wrapper: PCefString); stdcall;`
| `remove_switch: procedure(self: PCefCommandLine; const name_: PCefString); stdcall;`

## Description

### Fields

| `base: TCefBaseRefCounted;`
This item has no description.

| `is_valid: function(self: PCefCommandLine): Integer; stdcall;`
This item has no description.

| `is_read_only: function(self: PCefCommandLine): Integer; stdcall;`
This item has no description.

| `copy: function(self: PCefCommandLine): PCefCommandLine; stdcall;`
This item has no description.

| `init_from_argv: procedure(self: PCefCommandLine; argc: Integer; const argv: PPAnsiChar); stdcall;`
This item has no description.

| `init_from_string: procedure(self: PCefCommandLine; const command_line: PCefString); stdcall;`
This item has no description.

| `reset: procedure(self: PCefCommandLine); stdcall;`
This item has no description.

| `get_argv: procedure(self: PCefCommandLine; argv: TCefStringList); stdcall;`
This item has no description.

| `get_command_line_string: function(self: PCefCommandLine): PCefStringUserFree; stdcall;`
This item has no description.

| `get_program: function(self: PCefCommandLine): PCefStringUserFree; stdcall;`
This item has no description.

| `set_program: procedure(self: PCefCommandLine; const program_: PCefString); stdcall;`
This item has no description.

| `has_switches: function(self: PCefCommandLine): Integer; stdcall;`
This item has no description.

| `has_switch: function(self: PCefCommandLine; const name: PCefString): Integer; stdcall;`
This item has no description.

| `get_switch_value: function(self: PCefCommandLine; const name: PCefString): PCefStringUserFree; stdcall;`
This item has no description.

| `get_switches: procedure(self: PCefCommandLine; switches: TCefStringMap); stdcall;`
This item has no description.

| `append_switch: procedure(self: PCefCommandLine; const name: PCefString); stdcall;`
This item has no description.

| `append_switch_with_value: procedure(self: PCefCommandLine; const name, value: PCefString); stdcall;`
This item has no description.

| `has_arguments: function(self: PCefCommandLine): Integer; stdcall;`
This item has no description.

| `get_arguments: procedure(self: PCefCommandLine; arguments: TCefStringList); stdcall;`
This item has no description.

| `append_argument: procedure(self: PCefCommandLine; const argument: PCefString); stdcall;`
This item has no description.

| `prepend_wrapper: procedure(self: PCefCommandLine; const wrapper: PCefString); stdcall;`
This item has no description.

| `remove_switch: procedure(self: PCefCommandLine; const name_: PCefString); stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.